#pragma once

class CFunnynick
{
public:
	CFunnynick();

	CString* GetFunnynick(const uchar* pUserHash, CString strUsername);
	void ReloadDatabase();

protected:
	CString* GenerateFunnynick(const uchar* pUserHash);

	CStringArray m_aFunnynickPrefix;
	CStringArray m_aFunnynickSuffix;
};